.company-page {
  font-family: 'Lato', sans-serif;
}

.company-page-banner {
  color: #43474a;
  margin-top: 30px;
}

@media (max-width: 768px) {
  .company-page-banner {
    margin-top: 0;
  }
}

.company-page-banner__header {
  font-size: 115px;
  font-weight: 400;
  line-height: 100%;
  margin-right: 16px;
  margin-top: 0;
}

.company-page-banner__text {
  font-size: 24px;
  font-weight: 500;
  line-height: 150%;
}

.company-page-banner__subtext {
  font-size: 18px;
  font-weight: 300;
  line-height: 150%;
}

.company-page-card__content {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: max-content;
  margin: auto;
}

.company-page-card-main {
  margin-bottom: 24px;
}

.company-page-card-main .company-page-card__content {
  flex-direction: row;
  text-align: left;
  align-items: center;
}

.company-page-cards {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  margin-bottom: 64px;
}

.company-page-cards .company-page-card__content {
  text-align: center;
}

.company-page-card {
  position: relative;
  border-radius: 32px;
  background: radial-gradient(
      circle at 30% 30%,
      rgba(255, 255, 255, 0.4) 0%,
      rgba(255, 255, 255, 0) 70%
    ),
    linear-gradient(to bottom, rgba(236, 223, 206, 0.3), rgba(236, 223, 206, 0.3));
  vertical-align: top;
  padding: 24px;
  box-shadow: 0px 0px 50px 0px rgba(106, 135, 131, 0.16);
  flex: 1;
  min-width: 200px;
  backdrop-filter: blur(30px);
}

.company-page-card__title {
  font-size: 36px;
  font-weight: 800;
  line-height: 100%;
  margin-bottom: 8px;
}

.company-page-card__text {
  font-size: 16px;
  line-height: 100%;
}

.company-page-card-svg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  pointer-events: none;
}

@media (max-width: 1024px) {
  .company-page-card__title {
    font-size: 30px;
  }

  .company-page-card__text {
    font-size: 14px;
  }
}

.company-page-history__title {
  font-size: 40px;
  line-height: 100%;
  margin-bottom: 66px;
  text-align: center;
}

.company-page-history__subtitle {
  font-size: 18px;
  line-height: 23px;
  font-weight: 700;
  position: absolute;
  top: 0;
}

.company-page-history__item:first-child .company-page-history__subtitle {
  top: 20px;
}

.company-page-history__year {
  font-size: 54px;
  line-height: 100%;
  font-weight: 900;
  height: 73px;
  align-items: flex-end;
  display: flex;
  position: relative;
}

.company-page-history__text {
  font-size: 18px;
  line-height: 120%;
  font-weight: 400;
  margin-top: 22px;
  padding-right: 10px;
}

.company-page-history__content {
  position: relative;
  min-height: 290px;
}

.company-page-history__content::before {
  position: absolute;
  display: block;
  height: 2px;
  background: var(--primary-color);
  width: calc(100% + 45px);
  right: -22px;
}

.company-page-history__content::after {
  position: absolute;
  right: -22px;
  top: 87px;
  width: 0;
  height: 0;
  border: solid var(--primary-color);
  border-width: 0px 2px 2px 0;
  display: inline-block;
  padding: 6px;
  transform: rotate(-45deg);
}

.slick-initialized.company-page-history__content::after,
.slick-initialized.company-page-history__content::before {
  content: '';
}

.company-page-history__content::before,
.company-page-history__content .slick-arrow {
  top: calc(50% - 53px);
}

.slick-initialized.company-page-history__content::before,
.slick-initialized .company-page-history__content::before,
.slick-initialized .company-page-history__content .slick-arrow {
  content: '';
}

.company-page-history__content .slick-arrow,
.company-page-history__content .slick-arrow:before {
  content: none;
}

.company-page-history__content .slick-prev.slick-arrow {
  width: 21px;
  height: 41px;
  left: -20px;
}

.company-page-history__content .slick-next.slick-arrow {
  width: 36px;
  height: 71px;
  right: -20px;
}

.company-page-history__item {
  position: relative;
}

.company-page-history__item:nth-child(3) .company-page-history__year {
  font-size: 64px;
}

.company-page-history__item:last-child .company-page-history__year {
  font-size: 74px;
}

.company-page-history__item:not(:first-child) {
  display: none;
}

.slick-initialized .company-page-history__item {
  display: block;
}

.company-page-history__item-content {
  padding-top: 20px;
}

.slick-initialized .company-page-history__year-content::after {
  position: absolute;
  content: '';
  width: 11px;
  height: 11px;
  border-radius: 50%;
  background-color: var(--primary-color);
  outline: 1px solid var(--primary-color);
  outline-offset: 5px;
  top: 68px;
}

@media (max-width: 1052px) {
  .company-page-history__content::before,
  .company-page-history__content .slick-arrow {
    top: calc(50% - 62px);
  }
}

@media (max-width: 1024px) {
  .company-page-history__content .slick-arrow {
    content: '';
  }

  .company-page-history__content .slick-prev.slick-arrow {
    left: -40px;
  }

  .company-page-history__content .slick-next.slick-arrow {
    right: -40px;
  }

  .company-page-history__content::before {
    width: calc(100% + 80px);
    right: auto;
  }

  .slick-initialized.company-page-history__content::after {
    content: none;
  }

  .company-page-history__item:first-child .company-page-history__subtitle {
    top: 0;
  }

  .company-page-history__year {
    display: block;
    height: max-content;
  }

  .company-page-history__item:nth-child(3) .company-page-history__year,
  .company-page-history__item:last-child .company-page-history__year {
    font-size: 54px;
  }

  .company-page-history__content::before,
  .company-page-history__content .slick-arrow {
    top: calc(50% - 67px);
  }

  .slick-initialized .company-page-history__year-content::after {
    top: 54px;
  }

  .company-page-history__content::before {
    right: -40px;
  }
}

@media (max-width: 782px) {
  .company-page-history__content::before,
  .company-page-history__content .slick-arrow {
    top: calc(50% - 77px);
  }
}

@media (max-width: 768px) {
  .company-page-banner__header {
    font-size: 87px;
    margin-right: 0;
    margin-bottom: 16px;
  }

  .company-page-banner__text {
    font-size: 16px;
  }

  .company-page-banner__subtext {
    font-size: 14px;
  }

  .company-page-card-main .company-page-card__content {
    flex-direction: column;
    align-items: center;
  }

  .company-page-card__title {
    font-size: 24px;
  }

  .company-page-history__content::before,
  .company-page-history__content .slick-arrow {
    top: calc(50% - 106px);
  }

  .company-page-history__content .slick-prev.slick-arrow {
    left: -20px;
  }

  .company-page-history__content .slick-next.slick-arrow {
    right: -20px;
  }

  .company-page-history .company-page-card {
    padding: 0;
  }

  .company-page-history__item-content {
    margin: 0 auto;
  }

  .company-page-history__title {
    margin-top: 28px;
    font-size: 26px;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
  }

  .company-page-history__title {
    width: 100%;
  }
  .company-page-history__title,
  .company-page-history__item-content {
    max-width: 350px;
  }

  .company-page-history__year,
  .company-page-history__item:nth-child(3) .company-page-history__year,
  .company-page-history__item:last-child .company-page-history__year {
    font-size: 44px;
  }

  .slick-initialized .company-page-history__year-content::after {
    top: 44px;
  }

  .company-page-history__content::before {
    width: calc(100% + 32px);
    left: -16px;
  }
  .company-page-history__content {
    min-height: 350px;
  }
}

@media (max-width: 560px) {
  .company-page-history__title,
  .company-page-history__item-content {
    max-width: 243px;
  }
}

.company-page-info {
  margin-top: 64px;
  margin-bottom: 30px;
}

.company-page-info__title {
  font-size: 40px;
  font-weight: 800;
  line-height: 100%;
  text-align: center;
  margin-bottom: 30px;
}

.company-page-info__text {
  font-size: 20px;
  line-height: 150%;
  margin: 0 100px;
}

@media (max-width: 1024px) {
  .company-page-info__text {
    margin: 0 30px;
  }
}

@media (max-width: 768px) {
  .company-page-info__title {
    font-size: 24px;
    text-align: left;
    margin-left: 24px;
    margin-right: 24px;
  }

  .company-page-info__text.container {
    font-size: 14px;
    margin: 0 24px;
  }
}

.company-page-property {
  position: relative;
  padding: 75px 0;
}

.company-page-property__content {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}

.company-page-property__img {
  position: absolute;
  top: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.company-page-property-item {
  width: calc(50% - 15px);
}

.company-page-property-item .company-page-card {
  background: radial-gradient(
    circle at 20% 20%,
    rgba(255, 255, 255, 0.4) 0%,
    rgba(255, 255, 255, 0) 70%
  );
  height: 100%;
  display: flex;
  justify-content: space-between;
}

.company-page-property-item .company-page-card__content {
  display: grid;
  grid-template-areas:
    'icon title'
    'icon text';
  grid-template-columns: 15% 85%;
  gap: 6px;
  width: 100%;
}

.company-page-property-item__icon {
  width: 38px;
  height: 38px;
  grid-area: icon;
  margin: auto;
}

.company-page-property-item__title {
  font-size: 24px;
  font-weight: 800;
  line-height: 100%;
  grid-area: title;
}

.company-page-property-item__text {
  font-size: 16px;
  line-height: 150%;
  grid-area: text;
}

@media (max-width: 768px) {
  .company-page-property-item {
    width: 100%;
  }
  .company-page-property-item__title {
    font-size: 18px;
    width: 80%;
    margin: auto 0;
  }
  .company-page-property-item__text {
    font-weight: 300;
  }
  .company-page-property-item .company-page-card {
    padding: 16px;
  }
  .company-page-property-item .company-page-card__content {
    gap: 0;
    grid-template-areas:
      'icon title'
      'text text';
    grid-template-columns: 15% 85%;
    gap: 6px;
  }
  .company-page-property__icon {
    width: 30px;
    height: 30px;
  }
}

.company-page-history__content.slick-initialized:has(.slick-slide.slick-active:first-child)
  .slick-prev {
  display: none !important;
}

.company-page-history__content.slick-initialized:has(.slick-slide.slick-active:last-child)
  .slick-next {
  display: none !important;
}
